import * as events from "events";
import { ILogger } from "./EnergisticsCommons";
export declare class BaseHandler extends events.EventEmitter {
    private logger;
    _role: string;
    _protocol: number;
    constructor(logger: ILogger);
    readonly role: string;
    readonly protocol: number;
    start(): void;
    stop(): void;
    handleMessage(messageHeader: any, messageBody: any): void;
    log(str: any): void;
}
