import { Energistics } from "etp";
import { BaseHandler } from "../common/BaseHandler";
import { ETPCore } from "../common/ETPCore";
export declare class ChannelStreamingConsumer extends BaseHandler {
    sessionManager: ETPCore;
    constructor(sessionManager: ETPCore);
    start(): void;
    describe(uris: string[]): void;
    handleMessage(messageHeader: any, messageBody: any): void;
    channelRangeRequest(channelRanges: Energistics.Datatypes.ChannelData.ChannelRangeInfo[]): void;
    channelStreamingStart(channelIds: Energistics.Datatypes.ChannelData.ChannelStreamingInfo[]): void;
    channelStreamingStop(channelIds: number[]): void;
}
