declare class RecordingConsumer {
    private _config;
    constructor(_config: any);
    private _etp;
    private _connected;
    private _running;
    _channels: any[];
    _channelBuffers: any[];
    private connect();
    private onChannelData(msg);
    readonly connectedToSimpleStreamer: boolean;
    private onChannelMetadata(msg);
    private onCloseSession();
    private onOpenSession();
    onSocketConnect(socket: any): void;
    onSocketDisconnect(socket: any): void;
    private retry();
    start(): void;
    stop(): void;
}
export = RecordingConsumer;
