import { BaseHandler } from "../common/BaseHandler";
import { ETPCore } from "../common/ETPCore";
export declare class ChannelStreamingProducer extends BaseHandler {
    sessionManager: ETPCore;
    private dataSource;
    nextChannelId: number;
    simpleStreamer: boolean;
    constructor(sessionManager: ETPCore, dataSource: any);
    start(): void;
    stop(): void;
    handleMessage(messageHeader: any, messageBody: any): void;
    onData(channelData: any, correlationId: any): void;
    onMetadata(channelMetadata: any, correlationId: any): void;
    newChannelId(): number;
}
