/*global it, describe */
var assert = require("assert"),
    should = require("should"),
    ETPCore = require('../../dist/lib/common/ETPCore');

var core = new ETPCore.ETPCore();

describe('ETPCore', function () {
    describe('#createHeader()', function () {
        it("Create a message header from arguments", function () {
            var header = core.createHeader(0, 1, 2, 3);
            header.protocol.should.equal(0);
            header.messageType.should.equal(1);
            header.correlationId.should.equal(2);
            header.messageFlags.should.equal(3);
        }.bind(this));
    });
});

