var assert = require("assert"),
    testModule = require('../../dist/lib/common/EtpContentType');

describe('EtpContentType', function(){
    it("Should parse application/x-witsml+xml;version=2.0;type=obj_well", function(){
        var ct = new testModule.EtpContentType("application/x-witsml+xml;version=2.0;type=obj_well");
        ct.dataType.should.equal("obj_well");
        ct.schemaFamily.should.equal("witsml");
        ct.version.should.equal("2.0");
    });
});
