import { Request, Response } from 'express';
import { ParsedAsText } from 'body-parser';
declare class EtpServer {
    private app;
    private server;
    private recorders;
    private connections;
    private storeClass;
    private providerClass;
    private consumerClass;
    private store;
    private config;
    constructor();
    use(pattern: any, handler: (req: Request & ParsedAsText, res: Response) => any): any;
    authenticate(request: any): boolean;
    createConnection(request: any): void;
    createServer(): void;
    startRecorders(): void;
    onStoreConnect(): void;
    onUpgradeRequest(request: any): void;
    run(): void;
    configure(): void;
}
export = EtpServer;
