import etp = require("etp");
import { EtpContentType } from "./EtpContentType";
export declare class DataObjectFactory {
    constructor(context: any);
    private _packageName;
    private _needsPlural;
    contentType: EtpContentType;
    getPackage(): any;
    readonly packageName: string;
    private getContext();
    deserializeString(xmlString: string): any;
    deserializeFile(fileName: string, callback: (object) => void): void;
    serializeString(object: any): string;
    private fromNative(native);
    static contentTypeFromNative(native: any): string;
    static resourceFromNative(native: any): etp.Energistics.Datatypes.Object.Resource;
    static dataObjectFromNative(native: any): any;
}
