import { Energistics } from "etp";
import * as events from "events";
export interface EtpMessage<T> {
    header: Energistics.Datatypes.MessageHeader;
    body: T;
}
export interface IChannelStreamingDataSource extends events.EventEmitter {
    start(): void;
    stop(): void;
    describe(message: EtpMessage<Energistics.Protocol.ChannelStreaming.ChannelDescribe>): void;
}
