import common = require('../common/EnergisticsCommons');
import events = require("events");
declare class MongoStore extends events.EventEmitter implements common.IStore, common.IChannelStore {
    wells: any;
    wellbores: any;
    logs: any;
    logrecords: any;
    trajectorys: any;
    trajectoryStations: any;
    channels: any;
    mudLogs: any;
    channelData: any;
    counters: any;
    objectNotification: any;
    db: any;
    private stats;
    constructor(config: any);
    addChannel(channelInfo: any, callback: any): void;
    dbToEtp(channelInfo: any, point: any): {
        channelId: any;
        indexes: any[];
        value: any;
        valueAttributes: {};
    };
    dbToEtpIndex(indexInfo: any, value: any): any;
    dbToEtpValue(channelInfo: any, value: any): any;
    getChannelRange(channelInfo: any, startIndex: number, endIndex: number, callback: any): void;
    describeChannels(uris: string[], callback: any): void;
    putChannelValue(channelInfo: any, value: any, callback?: any): void;
    putIndexAlignedValues(channelMetadata: any, options: any, points: any, callback?: any): void;
    putIndexAlignedValuesBatch(channelMetadata: any, options: any, rows: any, callback?: any): void;
    putChannelValues(channelInfo: any, points: any, callback?: any): void;
    private bucketPoints(channelInfo, points);
    private indexValue(index);
    private calcPage(channelInfo, value);
    private setPageSize(channelInfo);
    private pageSpan(channelInfo, minIndex, maxIndex);
    connect(connectString: string): void;
    delete(uriString: string): void;
    enum(uriString: string, callback: (err, data) => void): void;
    get(uriString: string, callback: (err, data) => void): void;
    getHistory(uri: string, callback: (err, data) => void): any;
    getNextId(name: any, callback: any, count: any): void;
    put(messageData: any, callback: any): void;
    putNative(collection: any, object: any, callback: any): void;
    notify(changeType: any, resource: any, changeTime: any): void;
    notificationRequest(messageData: any, callback: any): void;
    on_connect(err: any, db: any): void;
    reportStats(): void;
}
export = MongoStore;
