import events = require("events");
import Energistics = require("../common/EnergisticsCommons");
declare class StoreProvider extends events.EventEmitter {
    private config;
    private store;
    constructor(config: any, store: Energistics.IChannelStore);
    private channelMetadata;
    private activeChannels;
    private running;
    rangeRequest(msg: any): void;
    startStreaming(channels: any[]): void;
    stop(): void;
    stopStreaming(channels: any): void;
    handleObject(err: any, data: any): void;
    describe(msg: any): void;
    onChannelData(err: any, point: any): void;
    onChannelDataBlock(err: any, data: any): void;
}
export = StoreProvider;
